Apple had afgelopen week de tweede bèta versie van iOS 6.1.3 vrijgegeven aan ontwikkelaars. Volgens Apple zou deze update enkel bedoeld zijn voor verbeteringen van Apple Maps in Japan en de codeslot probleem van de iPhone. iPhone hacker Planetbeing heeft ook ontdekt dat Apple één van de vijf exploits waar de Evasi0n jailbreak tool gebruik van maakt heeft geblokkeerd.

evasi0n

De gepatchte exploit maakte gebruik van een fout in de tijdzone-instellingen. Zodra Apple de nieuwe iOS 6.1.3 officieel uitbrengt kunnen we helaas niet direct jailbreaken. De iPhone 4S, iPhone 5, iPad 2, iPad 3, iPad 4 en de iPad mini zouden namelijk heel moeilijk gejailbreakt kunnen worden. Planetbeing is momenteel nog bezig met zijn onderzoek of Apple nog meer zwakheden heeft geblokkeerd waar de Evasi0n jailbreak tool gebruik van maakt.

Dat Apple één exploit heeft opgelost betekent niet dat we nooit meer een jailbreak kunnen verrichten. De ene kwetsbaarheid kan de andere namelijk vervangen, maar de kans bestaat dat de iPhone hackers helemaal opnieuw moeten beginnen om nieuwe kwetsbaarheden te vinden. Planetbeing geeft ook aan dat ze over voldoende kwetsbaarheden beschikken om een nieuwe jailbreakmethode te ontwikkelen.

  • Karim

    Dan maar niet updaten naar iOS 6.1.3 toch, gewoon op iOS 6.1.2 blijven 😉

  • Ferry

    Gewoon niet updaten. Werkt ook! 🙂